Package org.eclipse.graphiti.mm.algorithms.styles

## Enum LineStyle

- java.lang.Object
- - java.lang.Enum<LineStyle>
  - - org.eclipse.graphiti.mm.algorithms.styles.LineStyle

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LineStyle>`, `org.eclipse.emf.common.util.Enumerator`

    public enum LineStyle
    extends java.lang.Enum<LineStyle>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Line Style', and utility methods for working with them.

See Also:
  `StylesPackage.getLineStyle()`

### Enum Constant Summary

Enum Constants
`DASH` The 'DASH' literal object.
`DASHDOT` The 'DASHDOT' literal object.
`DASHDOTDOT` The 'DASHDOTDOT' literal object.
`DOT` The 'DOT' literal object.
`SOLID` The 'SOLID' literal object.
`UNSPECIFIED` The 'UNSPECIFIED' literal object.

### Field Summary

Fields
`static int` `DASH_VALUE` The 'DASH' literal value.
`static int` `DASHDOT_VALUE` The 'DASHDOT' literal value.
`static int` `DASHDOTDOT_VALUE` The 'DASHDOTDOT' literal value.
`static int` `DOT_VALUE` The 'DOT' literal value.
`static int` `SOLID_VALUE` The 'SOLID' literal value.
`static int` `UNSPECIFIED_VALUE` The 'UNSPECIFIED' literal value.
`static java.util.List<LineStyle>` `VALUES` A public read-only list of all the 'Line Style' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LineStyle` `get​(int value)` Returns the 'Line Style' literal with the specified integer value.
`static LineStyle` `get​(java.lang.String literal)` Returns the 'Line Style' literal with the specified literal value.
`static LineStyle` `getByName​(java.lang.String name)` Returns the 'Line Style' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static LineStyle` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SOLID

    public static final LineStyle SOLID

The 'SOLID' literal object.

See Also:
  `SOLID_VALUE`

#### DASH

    public static final LineStyle DASH

The 'DASH' literal object.

See Also:
  `DASH_VALUE`

#### DASHDOT

    public static final LineStyle DASHDOT

The 'DASHDOT' literal object.

See Also:
  `DASHDOT_VALUE`

#### DASHDOTDOT

    public static final LineStyle DASHDOTDOT

The 'DASHDOTDOT' literal object.

See Also:
  `DASHDOTDOT_VALUE`

#### DOT

    public static final LineStyle DOT

The 'DOT' literal object.

See Also:
  `DOT_VALUE`

#### UNSPECIFIED

    public static final LineStyle UNSPECIFIED

The 'UNSPECIFIED' literal object.

See Also:
  `UNSPECIFIED_VALUE`

### Field Detail

#### SOLID_VALUE

    public static final int SOLID_VALUE

The 'SOLID' literal value.

If the meaning of 'SOLID' literal object isn't clear, there really should be more of a description here...

See Also:
  `SOLID`, Constant Field Values

#### DASH_VALUE

    public static final int DASH_VALUE

The 'DASH' literal value.

If the meaning of 'DASH' literal object isn't clear, there really should be more of a description here...

See Also:
  `DASH`, Constant Field Values

#### DASHDOT_VALUE

    public static final int DASHDOT_VALUE

The 'DASHDOT' literal value.

If the meaning of 'DASHDOT' literal object isn't clear, there really should be more of a description here...

See Also:
  `DASHDOT`, Constant Field Values

#### DASHDOTDOT_VALUE

    public static final int DASHDOTDOT_VALUE

The 'DASHDOTDOT' literal value.

If the meaning of 'DASHDOTDOT' literal object isn't clear, there really should be more of a description here...

See Also:
  `DASHDOTDOT`, Constant Field Values

#### DOT_VALUE

    public static final int DOT_VALUE

The 'DOT' literal value.

If the meaning of 'DOT' literal object isn't clear, there really should be more of a description here...

See Also:
  `DOT`, Constant Field Values

#### UNSPECIFIED_VALUE

    public static final int UNSPECIFIED_VALUE

The 'UNSPECIFIED' literal value.

If the meaning of 'UNSPECIFIED' literal object isn't clear, there really should be more of a description here...

See Also:
  `UNSPECIFIED`, Constant Field Values

#### VALUES

    public static final java.util.List<LineStyle> VALUES

A public read-only list of all the 'Line Style' enumerators.

### Method Detail

#### values

    public static LineStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LineStyle c : LineStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LineStyle valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static LineStyle get​(java.lang.String literal)

Returns the 'Line Style' literal with the specified literal value.

#### getByName

    public static LineStyle getByName​(java.lang.String name)

Returns the 'Line Style' literal with the specified name.

#### get

    public static LineStyle get​(int value)

Returns the 'Line Style' literal with the specified integer value.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<LineStyle>`